#pragma once

#include "CoreMinimal.h"
#include "CoreTabContainerWidget.h"
#include "CoreTabGridPanelWidget.generated.h"

class UGridPanel;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreTabGridPanelWidget : public UCoreTabContainerWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UGridPanel* TabContainer;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool FillContainerSpace;

public:
	UCoreTabGridPanelWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreTabGridPanelWidget) { return 0; }
